""" Display the histogram of RGB channels from multiple FITS images.

    Calculate the histogram of each color channel for a FITS image
    and display them together on a single plot.
"""

import os
import pyfits

from numpy import histogram, Inf

from pylab import bar, show, axis

r_file_path = os.path.join('astro_images', 'm_e_20081203_57_1_1_1.fits')
g_file_path = os.path.join('astro_images', 'm_e_20081203_58_1_1_1.fits')
b_file_path = os.path.join('astro_images', 'm_e_20081203_59_1_1_1.fits')

red_file = pyfits.open(r_file_path)
red = red_file[0].data.clip(0,Inf)

green_file = pyfits.open(g_file_path)
green = green_file[0].data.clip(0,Inf)

blue_file = pyfits.open(b_file_path)
blue = blue_file[0].data.clip(0,Inf)
